%define aurox_ver 9.3
%define rel 1

%define pango_version 1.1.5
%define freetype_version 2.0.9
%define libxml2_version 2.3.9

Name: 		dia
Summary:	A diagram drawing program.
Version:	0.92.2
Release: %{aurox_ver}.aur.%{rel}
Epoch:		1
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/dia/%{name}-%{version}.tar.bz2
Group:		Applications/Multimedia
License:	GPL
URL:		http://www.lysator.liu.se/~alla/dia/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:       libxml2 >= %{libxml2_version}
Requires:       glib2
Requires:       pango >= %{pango_version}
Requires:       gtk2
Requires:	libgnome
Requires:       libgnomeui
Requires:       freetype >= %{freetype_version}
Requires:       libart_lgpl
Requires:	libxslt

BuildRequires:  libxml2-devel >= %{libxml2_version}
BuildRequires:  glib2-devel
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gtk2-devel
BuildRequires:	libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  freetype-devel >= %{freetype_version}
BuildRequires:  libart_lgpl-devel
BuildRequires:	libxslt-devel
BuildRequires:  intltool > 0.21
BuildRequires:  docbook-utils
BuildRequires:  xmlto

Requires:       /usr/share/desktop-menu-patches/redhat-diagrams.desktop

#Patch1: dia-0.91-help.patch
#Patch2: dia-0.91-css.patch

%description
The Dia drawing program is designed to be like the Windows(TM) Visio
program.  Dia can be used to draw different types of diagrams, and
includes support for UML static structure diagrams (class diagrams),
entity relationship modeling, and network diagrams.  Dia can load and
save diagrams to a custom file format, can load and save in .xml format,
and can export to PostScript(TM).

%prep
%setup -q

#%patch1 -p1 -b .help
#%patch2 -p1 -b .css

%build
automake-1.4
#DB2HTML="/usr/bin/db2html -V '%%use-id-as-filename%%'" 
DB2HTML="/usr/bin/xmlto html" 
export DB2HTML
%configure --enable-gnome --enable-db2html

## XXXX PGB - work around compiler bug
#perl -pi -e "s|-O2||g" plug-ins/hpgl/Makefile

make

%install
rm -rf $RPM_BUILD_ROOT

sed 's/SUBDIRS = en pl/SUBDIRS = en/' doc/Makefile > doc/Makefile.new
mv -f doc/Makefile.new doc/Makefile
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/help/dia/pl/
cp doc/pl/dia-manual/*.html $RPM_BUILD_ROOT%{_datadir}/gnome/help/dia/pl/
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

# We use a symlink to the desktop-menu-patches file instead.
#desktop-file-install --vendor net --delete-original     \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
#  --add-category X-Red-Hat-Extra                        \
#  --add-category Office                                 \
#  $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/dia.desktop

#rm $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/dia.desktop
# replace desktop file for -Base case

#ln -sf %{_datadir}/desktop-menu-patches/redhat-diagrams.desktop $RPM_BUILD_ROOT%{_datadir}/applications/redhat-diagrams.desktop

for i in $RPM_BUILD_ROOT%{_datadir}/gnome/help/dia/*; do
	ln -sf index.html $i/Dia.html;
done

%find_lang %name

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog KNOWN_BUGS INSTALL NEWS README TODO THANKS doc/custom-shapes doc/diagram.dtd doc/shape.dtd doc/sheet.dtd
%doc samples/
%{_bindir}/dia
%{_libdir}/dia
%{_mandir}/*/*
%{_datadir}/dia
%{_datadir}/applications
%{_datadir}/gnome/help/dia
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*

%changelog
* Wed Jan 28 2004 Aurox Team <aurox@aurox.org> 1:0.92.2-9.3.aur.1
- xmlto into BuildRequires
- bz2
- new spec
- rebuild for Aurox 9.3
- fix docs generation
- add md5sum
- 0.92.2

* Fri Jun 27 2003 Robert Glowczynski <robertg@software.com.pl> 1:0.91-9.1.aur.1
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 28 2003 Alexander Larsson <alexl@redhat.com> 1:0.91-1
- Update to 0.91
- Remove printing patch, it doesn't nearly apply yet, and might
  not be needed since dia is all utf8:y now.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.90-9
- Remove duplicate desktop files

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Tue Sep 03 2002 Akira TAGOH <tagoh@redhat.com> 0.90-8
- dia-0.90-printing.patch: applied to support CJK printing. (#67733)

* Thu Aug 29 2002 Owen Taylor <otaylor@redhat.com>
- Fix problems with the manual DTD

* Wed Aug 28 2002 Owen Taylor <otaylor@redhat.com>
- Pass --enable-db2html to configure so we get docs

* Fri Aug 23 2002 Alexander Larsson <alexl@redhat.com> 0.90-6
- Made desktopfile symlink absolute, fixes #71991

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- remove libpng10 patches, now using libpng12, #71416

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- put pristine upstream tarball back
- fix up desktop files

* Tue Jul 23 2002 Karsten Hopp <karsten@redhat.de>
- fix menu entry (#69564)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 11 2002 root <alexl@redhat.com> 0.90-1
- Updated to 0.90 from upstream. Removed outdated patches, updated png10 patch.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com>
- rebuild against png10

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Thu Jul 19 2001 Havoc Penningtoon <hp@redhat.com>
- Add some more build requires, #44732

* Tue Jul 10 2001 Alexander Larsson <alexl@redhat.com>
- Disable doc generation, since it breaks.

* Mon Jul  9 2001 Alexander Larsson <alexl@redhat.com>
- Updated from upstream (0.88.1)
- Removed source1 (ja.po) since it was in upstream
- Disabled patch1 since it breaks 8bit non-multibyte locales.
- Updated patch 3

* Fri Jun 15 2001 Havoc Penningtoon <hp@redhat.com>
- add some BuildRequires

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- use %%{_tmppath}

* Fri Feb 09 2001 Akira TAGOH <tagoh@redhat.com>
- -2
- Fixed install po.
- Updated Japanese translation.
  Note: Please remove Source1: when release the next upstream version.
- Added Japanese patch.
- -3
- Fixed text render bug.

* Mon Jan 29 2001 Preston Brown <pbrown@redhat.com>
- upgraded to fix i18n issues (#24875)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Whatever, 15321 was already fixed (it's under plain Applications), 
  change the group back

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Put it in Applications/Graphics bug 15321

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 6 2000 Tim Powers <timp@redhat.com>
- fixed manpage location
- use %%makinstall

* Mon May  1 2000 Matt Wilson <msw@redhat.com>
- updates to 0.84, added alpha back in

* Mon Nov 8 1999 Tim Powers <timp@redhat.com>
- updated to 0.81

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- exludearch alpha dumps core when you do anything

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 28 1999 Preston Brown <pbrown@redhat.com>
- initial build for Powertools 6.0



